#!/bin/sh

# some tests insist on /var/run/postgresql/, so run as root

set -e

cleanup () {
	for f in test/sql/*.sql.orig; do
		test -f $f || continue
		mv $f ${f%.orig}
	done
}
trap "cleanup" EXIT HUP INT QUIT PIPE TERM

for v in $(pg_buildext supported-versions); do
	case $v in
		8*|9.0) make sql/plproxy.sql
			;;
		*)	# we want to test the installed extension, so don't source from the build tree
			sed -i.orig 's/\\i.*plproxy\.sql/CREATE EXTENSION plproxy;/' test/sql/*.sql
			;;
	esac
	case $v in
		8*|9.0|9.1|9.2)
			usd="unix_socket_directory" ;;
		*)
			usd="unix_socket_directories" ;;
	esac

	newnet pg_buildext -c '--port=5432' -c '--locale=C' -i '--auth=trust' \
		-o "$usd=/tmp" installcheck-$v

	cleanup
done
